Get Marketplace Report
curl --request GET \
--url https://api.topsort.com/public/v1/reporting-service/marketplace \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/reporting-service/marketplace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/reporting-service/marketplace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"impressions": {
"total": 123,
"charged": 123,
"adSpent": 123,
"adSpentDecimal": "<string>"
},
"clicks": {
"total": 123,
"charged": 123,
"adSpent": 123,
"adSpentDecimal": "<string>"
},
"purchases": {
"amount": 123,
"count": 123,
"quantity": 123,
"countByProduct": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Reporting API
Get Marketplace Report
Endpoint to get a marketplace’s total behavioral summary report between given dates.
GET
/
public
/
v1
/
reporting-service
/
marketplace
Get Marketplace Report
Autorizações
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Parâmetros de consulta
The start date for which reports will be generated.
The end date for which reports will be generated.
Resposta
Successful Response
Clicks, impressions and purchases attributed to this report item so far.
How many impressions are attributed to this report item.
Show child attributes
Show child attributes
How many clicks are attributed to this report item.
Show child attributes
Show child attributes
How many purchases are attributed to this report item.
Show child attributes
Show child attributes
Esta página foi útil?